function::switch_file
Prev | Chapter 34. Output file switching Tapset | Next

## Name

function::switch_file — switch to the next output file

## Synopsis

        switch_file()

## Arguments

None

## Description

This function sends a signal to the stapio process, commanding it to rotate to the next output file when output is sent to file(s).

The mechanism of switching files was changed by upstream commit 5b39471380a238469c8fc18136f12600e5e9aec7 . With this commit, the rotation only works if there is some actual systemtap output.

Prev | Up | Next
Chapter 34. Output file switching Tapset | Home | Chapter 35. Floating point processing Tapset